/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  CDA
*
* @FILE     apachecda_prcon.h

*
* @ABSTRACT
* Apache cda Handler module PRivate CONstants definitions
*
* @INCLUDE


#ifndef _APACHE_CDA_PRCON_H_
#define _APACHE_CDA_PRCON_H_

#define XML_HEADER "<?xml version=\"1.0\"?>\n"
#define XML_CDA_BEGINTAG   "<ccncsi:CDA_MAN "                               \
                           "xmlns:ccncsi=\"http://www.ccncsi.net/schema\" " \
                           "name=\"%s\" "                                   \
                           "return_code=\"%s\""                             \
                           ">\n"
#define XML_CDA_ENDTAG     "</ccncsi:CDA_MAN>\n"
#define XML_ERROR_BEGINTAG "<ccncsi:ERROR "                                  \
                           "id=\"%ld\""                                      \
                           ">\n"
#define XML_ERROR_ENDTAG   "</ccncsi:ERROR>\n"


#define APACHE_CDA_MAN         "cda_man"
#define APACHE_CDA_MAN_FLUSH   "-f"
#define APACHE_CDA_MAN_UNCACHE "-r"
#define APACHE_CDA_MAN_STATUS  "-v"

#define APACHE_CDA_NO_ACTION   1L
#define APACHE_CDA_BAD_ACTION  2L
#define APACHE_CDA_NO_DN       3L
#define APACHE_CDA_SPAWN_ERROR 4L
#define APACHE_CDA_MAN_ERROR   5L

const char *APACHE_CDA_MSGS[] =
{
/* 0 */ ""
/* 1 */,"No action specified"
/* 2 */,"Unknown action (must be uncache/flush/status)"
/* 3 */,"No dn provided for uncache operation"
/* 4 */,"Error in ap_spawn_child()"
/* 5 */,"Error in cda_man:..."
};

#endif /* _APACHE_CDA_PRCON_H_ */

