/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  COMMON
*
* @FILE     com_upext.h
*
* @ABSTRACT
* Apache COMmon User & Provider EXTernal definitions
*
* @INCLUDE

#ifndef _COMMON_UPEXT_H_
#define _COMMON_UPEXT_H_

#ifdef _COMMON_APACHE_
#include "httpd.h"
#include "http_config.h"
#include "http_request.h"
array_header *CookieParse (request_rec *);
table *CookieFind (request_rec *
                  ,const char *
                  ,array_header *
                  );
table *ArgumentsParse (request_rec *);
#endif /* _COMMON_APACHE_ */

CSIVOID to_upper(CSICHAR *);
CSIVOID to_lower(CSICHAR *);
CSIVOID PrintErrorMessage(CSILONG, CSICHAR *);
CSICHAR *PrintMode(CSILONG);
CSICHAR *PrintReturnCode(CSILONG);
CSIVOID PrintAdminServiceBegin(CSILONG lReturnCode);
CSIVOID PrintAdminServiceEnd(CSIVOID);
CSIVOID PrintDomainBegin(CSICHAR *);
CSIVOID PrintDomainEnd(CSIVOID);
CSIVOID PrintSiteBegin(CSILONG, CDXSITEATTINFO);
CSIVOID PrintSiteEnd(CSILONG);
CSIVOID PrintGatewayBegin(CSILONG, CDXGTWATTINFO);
CSIVOID PrintGatewayEnd(CSILONG);
CSIVOID PrintNS50Begin(CSILONG, CDXFWLATTINFO);
CSIVOID PrintNS50End(CSILONG);
CSIVOID PrintLcmsBegin(CSILONG, CDXLCMSATTINFO);
CSIVOID PrintLcmsEnd(CSILONG);
CSIVOID PrintRapMgmtRap(CSICHAR *, CSICHAR *, CSICHAR *, CSILONG, CSICHAR *);
CSIVOID PrintMonitorHostBegin(CSICHAR *, CSICHAR *, CSICHAR *, CSICHAR *);
CSIVOID PrintMonitorHostEnd(CSIVOID);
CSIVOID PrintMonitorServiceBegin(CSICHAR *, CSICHAR *, CSICHAR *, CSICHAR *);
CSIVOID PrintMonitorServiceEnd(CSIVOID);
CSIVOID PrintMonitorAlert(CSICHAR *, CSICHAR *, CSICHAR *, CSICHAR *);
CSIVOID PrintPlatform(CSILONG, CDXPLFATTINFO);
CSIVOID PrintWebService(CSILONG, CDXWEBSVCATTINFO);
CSIVOID PrintWebHostBegin(CSILONG, CDXWEBHOSTATTINFO);
CSIVOID PrintWebHostEnd(CSILONG);
CSIVOID PrintWebApplication(CSILONG , CSICHAR *, CSICHAR *);
CSIVOID PrintApplicationTagBegin(CSILONG, CSICHAR *);
CSIVOID PrintApplicationTagEnd(CSILONG);
CSIVOID PrintQoS(CSIQOS);
CSIVOID PrintRap(CDXRAPATTINFO);
CSIVOID PrintQueue(CDXQUEATTINFO);
CSIVOID PrintService(CDXSVCATTINFO);
CSIVOID PrintProfile(CSILONG
                    ,CSICHAR *
                    ,CDXRESULT
                    ,CDXRESULT
                    ,CSILONG
                    ,CSILONG
                    ,CDXRESULT
                    ,CSICHAR *
                    );
CSIVOID PrintApplicationBegin(CSILONG, CSIBOOLEAN, CSIVOID *);
CSIVOID PrintApplicationEnd(CSILONG);

CSIVOID PrintApplicationDomainBegin(CSILONG, CSICHAR *);
CSIVOID PrintApplicationDomainEnd(CSILONG);
CSIVOID PrintAdminToolBegin(CSILONG, CSICHAR *);
CSIVOID PrintAdminToolEnd(CSILONG);
CSIVOID PrintRight(CSILONG, CSILONG, CSILONG *);
CSIVOID PrintSiteList(CSIVOID);

CSIVOID PrintGatewayList(CSIVOID);

CSIVOID PrintLcmsBegin(CSILONG,CDXLCMSATTINFO);
CSIVOID PrintLcmsEnd(CSILONG);

CSIVOID PrintNS50Begin(CSILONG,CDXFWLATTINFO);
CSIVOID PrintNS50End(CSILONG);

CSIBOOLEAN CheckMultimodeBackup(CSICHAR *szSiteString, CSICHAR *szGtwString);

#endif /* _COMMON_UPEXT_H_ */
