/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  HTTP2CSI
*
* @FILE     http2csi_prcon.h
*
* @ABSTRACT
* Apache Http2csi module PRivate CONstants definitions.
*
* This file contains:
* The definitions of the internal constants used in the Apache
* Http2csi module.
*
* @INCLUDE

#ifndef _HTTP2CSI_PRCON_H_
#define _HTTP2CSI_PRCON_H_

#define HTTP2CSI_NICK                   "HTTP2CSI"
#define HTTP2CSI_GROUP                  "APACHE"

#define NOT_NULL                        (char *)(-1)

#define HTTP2CSI_MODE                   ".LCT"
#define HTTP2CSI_REQUEST_QUEUE_PFX      "HTTP2CSI.REQ"
#define HTTP2CSI_REQUEST_QUEUE_SFX      ".QUE"
#define HTTP2CSI_RESPONSE_QUEUE_PFX     "HTTP2CSI.RESP"
#define HTTP2CSI_RESPONSE_QUEUE_SFX     ".QUE"
#define HTTP2CSI_REQUEST_RPT_QUEUE_PFX      "HTTP2CSI.REQ.RPT"
#define HTTP2CSI_REQUEST_RPT_QUEUE_SFX      ".QUE"
#define HTTP2CSI_RESPONSE_RPT_QUEUE_PFX     "HTTP2CSI.RESP.RPT"
#define HTTP2CSI_RESPONSE_RPT_QUEUE_SFX     ".QUE"


#define H2C_CFG_GENERAL_SECTION         "GENERAL"
#define H2C_CFG_REQUESTTIMEOUTDEFAULT   "RequestTimeoutDefault" 
#define H2C_CFG_REQUESTTIMEOUTMIN       "RequestTimeoutMin" 
#define H2C_CFG_REQUESTTIMEOUTMAX       "RequestTimeoutMax" 
#define H2C_CFG_ADMINREQUESTTIMEOUT     "AdminRequestTimeout"
#define H2C_CFG_ADMINREQUESTEXPIRY      "AdminRequestExpiry"
#define H2C_CFG_WAITINTERVALCHILD       "WaitIntervalChild"
#define H2C_CFG_SELFTERMINATIONCODE     "SelfTerminationCode"

#define HTTP2CSI_REQUESTTIMEOUTDEFAULT        20L
#define HTTP2CSI_REQUESTTIMEOUTMIN            10L
#define HTTP2CSI_REQUESTTIMEOUTMAX            120L
#define HTTP2CSI_ADMINREQUESTTIMEOUT          120L
#define HTTP2CSI_ADMINREQUESTEXPIRY           118L
#define HTTP2CSI_WAITINTERVALCHILD            60L


#define HTTP2CSICONTEXT_DEFAULT \
     NULL                          /* szArgReq               */ \
    ,NULL                          /* szArgAction            */ \
    ,NULL                          /* szArgNbserver          */ \
    ,NULL                          /* szApp                  */ \
    ,NULL                          /* szMode                 */ \
    ,NULL                          /* szSectionName          */ \
    ,NULL                          /* szMessage              */ \
    ,0L                            /* lTimeout               */ \
    ,0L                            /* lExpiry                */ \
    ,NULL                          /* buffer                 */ \
    ,0L                            /* lBufferLength          */ \
    ,0L                            /* lCntElemCsiRqeuest     */ \
    ,0L                            /* lCntElemCsiCallReq     */ \
    ,0L                            /* lCntElemAdminService   */ \
    ,NULL                          /* AdmXmlnsCcncsi    */ \
    ,NULL                          /* AdmCommand        */ \
    ,NULL                          /* AdmNbserver       */ \
    ,NULL                          /* ReqXmlnsCcncsi    */ \
    ,NULL                          /* ReqName           */ \
    ,NULL                          /* CallService       */ \
    ,NULL                          /* CallMsgtype       */ \
    ,NULL                          /* CallHostformat    */ \
    ,NULL                          /* CallCodepage      */ \
    ,NULL                          /* CallTimeout       */ \
    ,NULL                          /* CallEncoding      */ \
    ,MQHC_UNUSABLE_HCONN           /* hQMgr             */ \
    ,NULL                          /* ChildPool         */ \
    ,NULL                          /* ptQueueObj        */ \
    ,NULL                          /* psReqQueueObj     */ \
    ,NULL                          /* psRespQueueObj    */ \
    ,NULL                          /* szReqQueueName    */ \
    ,NULL                          /* szRespQueueName   */ \
    ,NULL                          /* szReqRptQueueName */ \
    ,NULL                          /* szRespRptQueueName*/ \
    ,""                            /* szUniqueId        */ \
    ,""                            /* szMsgId           */ \
    ,""                            /* szCorrelId        */ \
    ,NULL                          /* ptAppdContext          */ \
    ,NULL                          /* psAppdContext          */ \
    ,""                            /* szConfFileName         */ \
    ,0L                            /* lRequestTimeoutDefault */ \
    ,0L                            /* lRequestTimeoutMin     */ \
    ,0L                            /* lRequestTimeoutMax     */ \
    ,0L                            /* lAdminRequestTimeout   */ \
    ,0L                            /* lAdminRequestExpiry    */

#endif /* _HTTP2CSI_PRCON_H_ */







