/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  GEN_PROXY
*
* @FILE     gen_proxy_upcon.h
*
* @ABSTRACT
* Provide CONstants definitions
*
* This file contains:
* The constant definitions usable by other CCN components.
*
* @INCLUDE


#ifndef _GEN_PROXY_UPCON_H_
#define _GEN_PROXY_UPCON_H_

#define MODULE_PROXY_NAME "Apache"
#define MODULE_PROXY_GROUP "Web"

#define CCN_DEFAULT_WEB_DOMAIN "ccncsi.int"
/*
* @MACRODEF CCN_DEFAULT_WEB_DOMAIN
* This constant identifies the default ccnWebDomain
* This constant is only used if the verb CDX_getWebDomain failed
* Current value = "ccncsi.int"
*/

#define TARGET_PORT_NUMBER "1998"
/*
* @MACRODEF TARGET_PORT_NUMBER
* This constant identifies the default port number
* Current value = "1998"
*/

#define WEBHOST_SEPARATOR ":"
/*
* @MACRODEF WEBHOST_SEPARATOR
* This constant identifies the separator field used in the Webhost name
* The second part of the Webhost is the port number
* Current value = ":"
*/

#define PORT_NUMBER_PATTERN_1 "^([[:digit:]][[:digit:]][[:digit:]])\\[([[:digit:]]{1})-([[:digit:]]{1})\\]$"
/*
* @MACRODEF PORT_NUMBER_PATTERN_1
* This constant identifies the first pattern to validate the port number
* ex : 844[0-9]
* Current value = "^([[:digit:]][[:digit:]][[:digit:]])\\[([[:digit:]]{1})-([[:digit:]]{1})\\]$"
*/

#define PORT_NUMBER_PATTERN_2 "^([[:digit:]][[:digit:]])\\[([[:digit:]]{1})-([[:digit:]]{1})\\]\\{2\\}$"
/*
* @MACRODEF PORT_NUMBER_PATTERN_2
* This constant identifies the second pattern to validate the port number
* ex : 80[0-9]{2}
* Current value = "^([[:digit:]][[:digit:]])\\[([[:digit:]]{1})-([[:digit:]]{1})\\]\\{2\\}$"
*/

#define PORT_NUMBER_PATTERN_3 "^([[:digit:]][[:digit:]])\\[([[:digit:]]{1})-([[:digit:]]{1})\\]\\[([[:digit:]]{1})-([[:digit:]]{1})\\]$"
/*
* @MACRODEF PORT_NUMBER_PATTERN_3
* This constant identifies the third pattern to validate the port number
* ex : 80[0-9][0-9]
* Current value = "^([[:digit:]][[:digit:]])\\[([[:digit:]]{1})-([[:digit:]]{1})\\]\\[([[:digit:]]{1})-([[:digit:]]{1})\\]$"
*/

#define PORT_NUMBER_PATTERN_4 "^([[:digit:]]{2,4})$"
/*
* @MACRODEF PORT_NUMBER_PATTERN_4
* This constant identifies the third pattern to validate the port number
* ex : 8443
* Current value = "^([[:digit:]]{2,4})$"
*/

#define PORT_NUMBER_PATTERN_5 "^80\\(80\\)\\?$"
/*
* @MACRODEF PORT_NUMBER_PATTERN_5
* This constant identifies the third pattern to validate the port number
* ex : 80(80)?
* Current value = "^80\\(80\\)\\?$"
*/

#define PORT_NUMBER_PATTERN_6 "^([[:digit:]]{2,4})\\)\\?$"
/*
* @MACRODEF PORT_NUMBER_PATTERN_6
* This constant identifies the third pattern to validate the port number
* ex : 80)?
* Current value = "^([[:digit:]]{2,4})\\)\\?$"
*/

#define PORT_NUMBER_PATTERN_7 "^\\(([[:digit:]]{2,4})\\)\\?$"
/*
* @MACRODEF PORT_NUMBER_PATTERN_7
* This constant identifies the third pattern to validate the port number
* ex : (80)?
* Current value = "^\\(([[:digit:]]{2,4})\\)\\?$"
*/


#define PORT_NUMBER_PATTERN_8 "^$"
/*
* @MACRODEF PORT_NUMBER_PATTERN_8
* This constant identifies the third pattern to validate the port number
* ex : empty port number
* Current value = "^$"
*/

#endif
